﻿using RouteGuideContracts.BusinessLogicContracts;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RouteGuide
{
    public partial class FormTests : Form
    {
        private readonly IRouteLogic _routeLogic;

        public FormTests(IRouteLogic routeLogic)
        {
            InitializeComponent();

            _routeLogic = routeLogic;
            numericUpDownInsert.Minimum = 0;
            numericUpDownInsert.Maximum = 1000;
            numericUpDownRead.Minimum = 0;
            numericUpDownRead.Maximum = 1000;

        }

        private void ButtonInsertTest_Click(object sender, EventArgs e)
        {
            try
            {
                var result = _routeLogic.TestInsertList(Convert.ToInt32(numericUpDownInsert.Value));

                textBoxInsertTime.Text = result;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void ButtonReadTest_Click(object sender, EventArgs e)
        {
            try
            {
                var result = _routeLogic.TestReadList(Convert.ToInt32(numericUpDownRead.Value));
                textBoxReadTime.Text = result;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
